<?xml version="1.0" encoding="UTF-8"?>
<configuration scan="true" scanPeriod="60 seconds" debug="false">
    <property name="LOGBACK_ROLLINGPOLICY_TOTAL_SIZE_CAP" value="2GB"/>
    <property name="LOGBACK_ROLLINGPOLICY_MAX_HISTORY" value="30"/>
    <property name="LOG_PATH" value="./logs"/>
    <property name="FILE_LOG_PATTERN" value="${FILE_LOG_PATTERN:-%d{${LOG_DATEFORMAT_PATTERN:-yyyy-MM-dd HH:mm:ss.SSS}} ${LOG_LEVEL_PATTERN:-%5p} ${PID:- } --- [%t] %-40.40logger{39} : [%X{X-REQUEST-ID:-X}] %m%n${LOG_EXCEPTION_CONVERSION_WORD:-%wEx}}"/>

    <include resource="org/springframework/boot/logging/logback/base.xml"/>


    <springProfile name="local,default,test">
        <logger name="cn.com.xingxi.store" level="DEBUG"/>
        <logger name="org.springframework.security" level="DEBUG"/>
        <logger name="org.springframework.web" level="DEBUG"/>
        <logger name="cn.com.xingxi.unifiedpay" level="DEBUG"/>
        <root level="ERROR">
            <appender-ref ref="CONSOLE"/>
            <appender-ref ref="FILE"/>
        </root>
    </springProfile>


    <springProfile name="release">
        <root level="INFO">
            <appender-ref ref="FILE"/>
        </root>
    </springProfile>

</configuration>
